Asp.net-mvc – Conflicting versions of ASP.NET Web Pages detected: specified version is “1.0.0.0”, but the version in bin is “2.0.0.0”

asp.netasp.net-mvcasp.net-webpagesweb-config

This error appears after updating ASP.NET Web Helpers Library today to version 2.0 which was apparently released today. I updated by mistake, however would like to resolve this now, if possible.

Conflicting versions of ASP.NET Web Pages detected: specified version is "1.0.0.0", but the version in bin is "2.0.0.0". To continue, remove files from the application's bin directory or remove the version specification in web.config.

Apparently this is the problem in web.config:

<add key="webpages:Version" value="1.0.0.0" />

Does anyone even have any information about this ASP.NET Web Helpers Library package 2.0? I was unable to find release notes. Nothing on Nuget site.

Best Solution

From Conflicting versions of ASP.NET Web Pages detected: You need to set webpages:Version appSettings with appropriate value. In your case it has to be 2.0.0.0

<appSettings>
    <add key="webpages:Version" value="2.0.0.0"/>
</appSettings>